unit EXLReportConsts;
{$I VerCtrl.inc}

interface

const
  S_FULL_PRODUCT_NAME = 'EMS Advanced Excel Report(tm) Component Suite for Delphi(R)';
  S_VERSION = '1.40';
  {$IFNDEF CS}
  S_REG_URL = 'http://www.sqlmanager.net/products/tools/excelreport/buy';
  {$ELSE}
  S_REG_URL = 'www.componentsource.com';
  {$ENDIF}

resourcestring
  _MsgReg0 = 'The form contains a template. Save template to file? ';
  _MsgReg1 = 'Cannot save the template to file "%s". '#13#10'%s';
  _MsgReg2 = 'File "%s" does not exist. ';
  _MsgReg3 = 'Cannot save template to a temporary file. '#13#10'%s';
  _MsgReg4 = 'The template has been saved to file "%s".';
  _MsgReg5 = 'Error opening file "%s" in Excel. '#13#10'%s';
  _MsgReg6 = 'Cannot load a template from file "%s". '#13#10'%s';
  _MsgReg7 = 'Error editing the stored template "%s". %s';
  _XLFlt = 'MS Excel files (*.xls)|*.xls';

  _MsgTEdt = 'Save currently edited cell and try again.';
  _MsgTEdtEdtCapt = ' - editing stored template';
  _MsgTEdtSelCapt = 'Select range';
  _MsgTEdtEdtPrmt = 'Edit the template and push the "Save && Exit" button to save it.';
  _MsgTEdtSelRng = 'Select range and push the "Select && Exit" button.';
  _MsgTEdtOKSel = 'Select && Exit';
  _MsgTEdtOKSav = 'Save && Exit';
  _MsgTEdtCancel = 'Cancel';

  //Create Template
  _gbCapBands = 'Bands';
  _gbCapDataFields = 'Data Fields';
  _lCapDataSet = 'DataSet';
  _lCapDataSetFields = 'Data Set Fields';
  _btCapAddBand = 'Add Band';
  _btCapDeleteBand = 'Delete Band';
  _btCapFont = 'Font';
  _btCapColor = 'Color';
  _chbCapPreview = 'Preview In Band List';
  _gbTemplate = 'Template';
  _lCapTemplateFileName = 'New Template Filename';
  _lCapSheetName = 'Sheet Name';
  _edTextSheet = 'Sheet1';
  _lCapFieldAgg = 'Fields Aggregate Function';
  _btCapCreate = 'Create Template';
  _btCapCancel = 'Cancel';
  _MsgTemplFNameNotDef = 'Template Filename Not Defined';
  _MsgNoBands = 'No Bands Selected';
  _MsgCNotOpenSheet = 'Can Not Open Sheet...';
  _MsgAlrExists = 'Sheet "%s" already exists. Overwrite?';
  _MsgSavePropertyChange = 'Save changes for component properties?';
  _GroupFieldLabel = ' (Group Field)';


  // About dialog
  _AbCaption = 'About EMS Advanced Excel Report';
  _AbProdName = 'EMS Advanced Excel Report component'#13#10'version 1.10 -- April, 2003.';
  _AbCopyright = 'Copyright (C) 2002 - 2006 EMS Database Management Solutions, Inc.';
  _AbEvalVersion = 'Evaluation version';
  _AbRegVersion = 'Registered version';
  _AbWelcom = 'Welcome to';
  _AbSite = 'http://www.ems-hitech.com/excelreport/purchase.phtml';
  _AbSiteDesc = 'for getting full registration info or register online right now:';
  _AbPayCapt = 'EMS Advanced Excel Report component with sources:';
  _AbPayUSD = 'https://www.regsoft.net/regsoft/vieworderpage.php3?productid=51570';
  _AbPayEuro = 'https://secure.element5.com/register.html?productid=165768';
  _AbUSD = '($US only)';
  _AbEuro = '($US and Euro)';
  _AbThanks = 'Thanks for you support! Welcome to http://www.ems-hitech.com/excelreport/'#13#10 +
              'for getting information about latest updates.';
  _AbEmail = 'If you have any questions please email to excelreport@ems-hitech.com';
  _AbEnjoy = 'We hope you''ll enjoy working with our software.'#13#10 +
             'Thanks again for choosing EMS Advanced Excel Report!';
  _AbCompany = 'Best regards,'#13#10'EMS Advanced Excel Report development team';

  _MsgNoExcel = 'Error creating Excel application object. %s. ';


// Run time consts

  _MsgEXLReport1 = 'DFM doesn''t contain a template. ';
  _MsgEXLReport2 = 'File "%s" does not exist. ';
  _MsgEXLReport3 = 'Error creating file "%s"';
  _MsgEXLReport4 = 'Error writing report data to the Excel sheet: %s. '#13#10 +
             'Maybe error in formula. ';
  _MsgEXLReport5 = 'Field "%s" not found in tables. ';
  _MsgEXLReport6 = 'Too many lines in the report. Max available number is 65535. ';
  _EXLReportTrialInfo = 'Evaluation version of Advanced Excel Report';
  _EXLReportSiteLink = 'http://www.ems-hitech.com/excelreport/';
 {$IFNDEF CS}
  _MsgEXLReportTrial = 'You use an evaluation version of Advanced Excel Report. '+ #13#10 +
                 'Visit ''http://www.sqlmanager.net/products/tools/excelreport/buy'' to register the component.';
 {$ELSE}
  _MsgEXLReportTrial = 'You use an evaluation version of Advanced Excel Report. '+ #13#10 +
                 'Visit ''www.componentsource.com'' to register the component.';
 {$ENDIF}

  _MsgBnd = 'Assigned footer band has different Bands property value';
  _MsgBndMoreBand = 'Error reading bands. More bands than expected.';
  _MsgBndUnProp = 'Error reading bands. Unknown property name %s.';

  _MsgCpyMng = 'TEXLReport\TEXLReportCopyManager internal error %d. ';
  _AssCM0 = 'TEXLReportCopyGroup.FindFooterChain: ' +
            'The "Self" and "Group" parameters have different hierarchy values.';
  _AssCM1 = 'TEXLReportCopyGroup.FindFooterChain: The "Self" footer is already outputted.';
  _AssCM2 = 'TEXLReportCopyGroup.FindFooterChain: The "Copy from" item is not a right branch - ' +
            'its footer must be completed.';
  _AssCM3 = 'TEXLReportCopyGroup.FindFooterChain: The "Copy to" item must be completed.';
  _AssCM6 = 'TEXLReportCopyGroup.FindFooterChain: The "Copy to" item is not a left branch - ' +
            'its header must be completed.';
  _AssCM7 = 'TEXLReportCopyGroup.FindHeaderChain: ' +
            'The "Self" and "Group" parameters have different hierarchy values.';
  _AssCM8 = 'TEXLReportCopyGroup.FindHeaderChain: The "Self" header is already outputted.';
  _AssCM9 = 'TEXLReportCopyGroup.FindHeaderChain: The "Copy to" item is not a left branch - ' +
            'its header must be completed.';
  _AssCM11 = 'TEXLReportCopyGroup.FindHeaderChain: The "Copy from" item is not a right branch - ' +
             'its footer must be completed.';
  _AssCM12 = 'TEXLReportCopyGroup.FindHeaderChain: The result is more than "MaxLen" parameter.';
  _AssCM13 = 'TEXLReportCopyGroup.MarkAsOutputtedBack: Output more children than there are.';
  _AssCM14 = 'TEXLReportCopyGroup.MarkAsOutputtedBack: Wrong "Num" parameter.';
  _AssCM15 = 'TEXLReportCopyGroup.MarkAsOutputtedForw: Output more children than there are.';
  _AssCM16 = 'TEXLReportCopyGroup.MarkAsOutputtedForw: Wrong "Num" parameter.';
  _AssCM17 = 'TEXLReportCopyGroup.OutputDetail: ' +
             'The "Self" must be a bottom level in the hierarchy of TEXLReportCopyGroup objects.';

  _MsgDct = 'The field "%s" is not found in the dictionary. ';

  _MsgFPrsBadStr = 'Cell value (%s) contains field sign (%s), but field name cannot be determined. ';
  _MsgFPrsBadField = 'The last symbol of the field "%s" must be a bracket ")". ';
  _MsgFPrsAutoGet = 'Field value will be automatically received. ';
  _MsgFPrsBadFunc = 'Unknown function name: %s. ';

  _MsgFncNoRow = 'Row is not defined in range "%s". ';
  _MsgFncBadField = 'Bad field name: %s. ';
  _MsgFncBadRng = 'Wrong range: "%s". ';

  // Progress dialog
  _SplStatusCapt = 'Status';
    _SplStatusWork = 'Getting data';
    _SplStatusCoping = 'Coping bands';
    _SplStatusWriting = 'Writing data';
    _SplStatusPause = 'Pause';
  _SplOutputted = 'Processed';
  _SplTime = 'Time';
  _SplSpeed = 'Speed';
  _SplDoneFmt = '%d rows';
  _SplSpeedFmt = '%d rows/sec';
  _SplTimeFmt = 'h:mm:ss';
  _MsgSplAsk = 'Do you really want to break the process?';

  _MsgTPrsBadRange = 'Band %s. Wrong Range value: "%s". ';
  _MsgTPrsMultyAreaRange = 'Band %s, range %s. Inadmissible range area count (%d). ';
  _MsgTPrsEmptyRange = 'Property Range of band %s is empty.';
  _MsgTPrsNoCell = 'The cell R%dC%d is not found. This cell has no field. ';
  _MsgTPrsNoBand = 'The band "%s" is not found or the report doesn''t contain it. ';
  _MsgTPrsBadCParams = 'The AOnGetValue parameter must be specified. ';
  _MsgTPrsInternalNoField = 'Internal error. The total field "%s" is not found. ';
  _MsgTPrsNoFunc = 'Cannot find a native name of English Excel function %s. ';
  _MsgTPrsUnknownFunc = 'Internal error: unknown function %d. ';
  _AssTP0 = 'TEXLReportBandInfo.GetBandRange: Bad "RowIdx" parameter.';

  _MsgEXLReport7 = 'Field "%s" not found in table "%s". ';
  _MsgEXLReport8 = 'Error creating Excel application object. %s. ';
  _MsgEXLReport10 = 'Error opening template "%s". %s. ';

implementation

end.
